package net.hoosiertransfer;

import net.hoosiertransfer.EaglerXMicrosoft.ApplicationDetails;
import net.hoosiertransfer.EaglerXMicrosoft.MinecraftConstants;
import net.hoosiertransfer.EaglerXMicrosoft.OAuthEnvironment;
import net.hoosiertransfer.EaglerXMicrosoft.network.PostRequest;
import net.hoosiertransfer.EaglerXMicrosoft.steps.StepMsaDeviceCode;

import org.json.JSONObject;

public class Main {
    public static final ApplicationDetails applicationDetails = new ApplicationDetails(MinecraftConstants.JAVA_TITLE_ID,
            MinecraftConstants.SCOPE_TITLE_AUTH, OAuthEnvironment.LIVE);

    public static void main(String[] args) {
        StepMsaDeviceCode stepMsaDeviceCode = new StepMsaDeviceCode(applicationDetails);
        StepMsaDeviceCode.MsaDeviceCode msaDeviceCode = stepMsaDeviceCode.execute((deviceCode) -> {
            System.out.println(
                    "Please visit " + deviceCode.getVerificationUri() + " and enter code " + deviceCode.getUserCode());
        });
    }
}